package Models.Statements;

import Models.Program.IDictionary;
import Models.Program.ProgramState;
import Models.Types.IType;
import Exceptions.BaseException;

public interface IStatement{
    public ProgramState execute(ProgramState state) throws BaseException;
    public IStatement copy();
    public IDictionary<String, IType> typeCheck(IDictionary<String, IType> typeTable) throws BaseException;
}
